# Crow: crow::Connection< Adaptor, Handler, Middlewares > Class Template Reference

crow::Connection< Adaptor, Handler, Middlewares > Class Template Reference

An HTTP connection. More...

`#include <http_connection.h>`

Inheritance diagram for crow::Connection< Adaptor, Handler, Middlewares >:

## Public Member Functions

| Connection (asio::io_service &io_service, Handler *handler, const std::string &server_name, std::tuple< Middlewares... > *middlewares, std::function< std::string()> &get_cached_date_str_f, detail::task_timer &task_timer, typename Adaptor::context *adaptor_ctx_, std::atomic< unsigned int > &queue_length)
decltype(std::declval< Adaptor >().raw_socket()) & | socket ()
| The TCP socket on top of which the connection is established.
void | start ()
void | handle_url ()
void | handle_header ()
void | handle ()
void | complete_request ()
| Call the after handle middleware and send the write the response to the connection.

## Friends

struct | crow::response

## Detailed Description

### template<typename Adaptor, typename Handler, typename... Middlewares>
class crow::Connection< Adaptor, Handler, Middlewares >

An HTTP connection.

The documentation for this class was generated from the following file:

- include/crow/http_connection.h